-- --------------------------------------------------------
-- 主机:                           127.0.0.1
-- 服务器版本:                        5.5.53 - MySQL Community Server (GPL)
-- 服务器操作系统:                      Win32
-- HeidiSQL 版本:                  9.3.0.4984
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 导出 guarantee 的数据库结构
DROP DATABASE IF EXISTS `guarantee`;
CREATE DATABASE IF NOT EXISTS `guarantee` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `guarantee`;


-- 导出  视图 guarantee.all_room 结构
DROP VIEW IF EXISTS `all_room`;
-- 创建临时表以解决视图依赖性错误
CREATE TABLE `all_room` (
	`id` INT(11) NOT NULL,
	`name` CHAR(50) NULL COLLATE 'utf8_general_ci',
	`area` DECIMAL(10,2) UNSIGNED NOT NULL,
	`floor` CHAR(50) NULL COLLATE 'utf8_general_ci',
	`building` CHAR(50) NULL COLLATE 'utf8_general_ci'
) ENGINE=MyISAM;


-- 导出  视图 guarantee.current_mission 结构
DROP VIEW IF EXISTS `current_mission`;
-- 创建临时表以解决视图依赖性错误
CREATE TABLE `current_mission` (
	`id` INT(11) NOT NULL COMMENT 'id',
	`object` CHAR(50) NOT NULL COMMENT '合同目标' COLLATE 'utf8_general_ci',
	`factory` CHAR(50) NOT NULL COMMENT '合同乙方（售方）' COLLATE 'utf8_general_ci',
	`type` CHAR(50) NULL COLLATE 'utf8_general_ci',
	`c_time` DATE NULL COMMENT '建立时间'
) ENGINE=MyISAM;


-- 导出  表 guarantee.cycle 结构
DROP TABLE IF EXISTS `cycle`;
CREATE TABLE IF NOT EXISTS `cycle` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `equipid` int(11) DEFAULT '0' COMMENT '设备id号',
  `cycle_type_id` int(11) DEFAULT NULL COMMENT '类型',
  `price_policy` float DEFAULT NULL COMMENT '维护价格方案',
  `cycle` int(11) DEFAULT NULL COMMENT '周期时间(天)',
  `info` varchar(50) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=82 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.cycle 的数据：0 rows
DELETE FROM `cycle`;
/*!40000 ALTER TABLE `cycle` DISABLE KEYS */;
/*!40000 ALTER TABLE `cycle` ENABLE KEYS */;


-- 导出  表 guarantee.cycletype 结构
DROP TABLE IF EXISTS `cycletype`;
CREATE TABLE IF NOT EXISTS `cycletype` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cycle_type_name` char(50) NOT NULL,
  `info` char(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.cycletype 的数据：3 rows
DELETE FROM `cycletype`;
/*!40000 ALTER TABLE `cycletype` DISABLE KEYS */;
INSERT INTO `cycletype` (`id`, `cycle_type_name`, `info`) VALUES
	(1, 'check', '检查'),
	(2, 'fix', '检修'),
	(3, 'replace', '更换');
/*!40000 ALTER TABLE `cycletype` ENABLE KEYS */;


-- 导出  表 guarantee.equip 结构
DROP TABLE IF EXISTS `equip`;
CREATE TABLE IF NOT EXISTS `equip` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `EquipName` char(50) NOT NULL COMMENT '设备名称',
  `Type` int(11) NOT NULL DEFAULT '0' COMMENT '分类',
  `location` varchar(50) NOT NULL COMMENT '位置',
  `factory` char(50) DEFAULT NULL COMMENT '厂家',
  `version` char(50) DEFAULT NULL COMMENT '型号',
  `install_date` date NOT NULL DEFAULT '2010-01-01' COMMENT '安装时间',
  `life_month` int(11) DEFAULT '120' COMMENT '使用年限(月)',
  `prices` int(11) DEFAULT '0' COMMENT '采购价格',
  `isdelete` tinyint(4) DEFAULT '0' COMMENT '是否被移除0=false 1=true',
  `deletedate` date DEFAULT '2010-01-01' COMMENT '移除时间',
  `info` varchar(50) DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COMMENT='设备基础信息';

-- 正在导出表  guarantee.equip 的数据：11 rows
DELETE FROM `equip`;
/*!40000 ALTER TABLE `equip` DISABLE KEYS */;
INSERT INTO `equip` (`id`, `EquipName`, `Type`, `location`, `factory`, `version`, `install_date`, `life_month`, `prices`, `isdelete`, `deletedate`, `info`) VALUES
	(22, '马路1', 3, '2', '建设公司1', '100米', '2017-01-01', 30, 5000, 0, '2010-01-01', '备注1'),
	(23, '设备2', 2, '2', '土建1', '土建工程', '2011-02-02', 360, 90000, 0, '2010-01-01', '备注2'),
	(24, '设备3', 3, '2', '测试品牌', '10', '2017-01-01', 12, 10000, 0, '2010-01-01', '11'),
	(25, '设备3', 3, '2', '品牌测试', '型号2', '2017-01-01', 360, 100000, 0, '2010-01-01', '测试备注'),
	(26, '测试设备333', 3, '2', '111', '22', '2017-12-06', 12, 10000, 0, '2010-01-01', '33'),
	(27, '测试3', 2, '2', '20', '11', '2013-01-01', 36, 100, 0, '2010-01-01', '22'),
	(28, '测试5', 2, '2', '测试2', '测试', '2012-12-31', 36, 50000, 0, '2010-01-01', '测试'),
	(29, '3', 3, '2', '1', '1', '2012-05-01', 1, 3333, 0, '2010-01-01', '1'),
	(30, '555', 1, '1', '11', '1', '2017-12-07', 444, 7777, 0, '2010-01-01', '1'),
	(31, '55555', 2, '2', '2222', '11', '2017-12-07', 12, 555550, 0, '2010-01-01', '444'),
	(32, '555', 2, '2', '6', '6', '2017-12-07', 5, 5, 0, '2010-01-01', '6');
/*!40000 ALTER TABLE `equip` ENABLE KEYS */;


-- 导出  表 guarantee.fun 结构
DROP TABLE IF EXISTS `fun`;
CREATE TABLE IF NOT EXISTS `fun` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(50) DEFAULT NULL,
  `path` char(50) DEFAULT NULL,
  `icon` char(50) DEFAULT NULL,
  `shot` char(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='功能';

-- 正在导出表  guarantee.fun 的数据：1 rows
DELETE FROM `fun`;
/*!40000 ALTER TABLE `fun` DISABLE KEYS */;
INSERT INTO `fun` (`id`, `name`, `path`, `icon`, `shot`) VALUES
	(1, '主页', '/myhome', NULL, 'home');
/*!40000 ALTER TABLE `fun` ENABLE KEYS */;


-- 导出  表 guarantee.history 结构
DROP TABLE IF EXISTS `history`;
CREATE TABLE IF NOT EXISTS `history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `time` date DEFAULT NULL,
  `action` varchar(200) DEFAULT NULL,
  `taskid` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=67633 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.history 的数据：0 rows
DELETE FROM `history`;
/*!40000 ALTER TABLE `history` DISABLE KEYS */;
/*!40000 ALTER TABLE `history` ENABLE KEYS */;


-- 导出  表 guarantee.location 结构
DROP TABLE IF EXISTS `location`;
CREATE TABLE IF NOT EXISTS `location` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `location_name` char(50) NOT NULL DEFAULT '0',
  `path` varchar(50) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.location 的数据：0 rows
DELETE FROM `location`;
/*!40000 ALTER TABLE `location` DISABLE KEYS */;
/*!40000 ALTER TABLE `location` ENABLE KEYS */;


-- 导出  表 guarantee.mission 结构
DROP TABLE IF EXISTS `mission`;
CREATE TABLE IF NOT EXISTS `mission` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `object` char(50) NOT NULL COMMENT '合同目标',
  `factory` char(50) NOT NULL COMMENT '合同乙方（售方）',
  `person` char(50) DEFAULT NULL COMMENT '乙方人员',
  `tel` char(50) DEFAULT NULL COMMENT '乙方电话',
  `comp` char(50) DEFAULT NULL COMMENT '我方公司',
  `emplo` char(50) DEFAULT NULL COMMENT '我方人员',
  `c_time` date DEFAULT NULL COMMENT '建立时间',
  `d_time` date DEFAULT NULL COMMENT '删除时间',
  `prices` float DEFAULT NULL COMMENT '总价',
  `contractid` char(50) NOT NULL DEFAULT 'none' COMMENT '合同编号',
  `type` int(11) NOT NULL COMMENT '类型/采购/工程/等',
  `info` varchar(50) DEFAULT NULL,
  `eval` varchar(400) DEFAULT '' COMMENT '评价项目',
  `isdeleted` int(1) NOT NULL DEFAULT '0' COMMENT '是否删除 0false 1true',
  `isfinished` int(1) NOT NULL DEFAULT '0' COMMENT '是否完成 0false 1true 2down 在质保期',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.mission 的数据：0 rows
DELETE FROM `mission`;
/*!40000 ALTER TABLE `mission` DISABLE KEYS */;
/*!40000 ALTER TABLE `mission` ENABLE KEYS */;


-- 导出  表 guarantee.mission_task 结构
DROP TABLE IF EXISTS `mission_task`;
CREATE TABLE IF NOT EXISTS `mission_task` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `mission_id` varchar(50) DEFAULT NULL COMMENT 'mission的id',
  `wtd` varchar(50) DEFAULT NULL COMMENT 'whattodo 该节点要做什么',
  `dw` varchar(50) DEFAULT NULL COMMENT 'dowhat 做了什么',
  `prices` float DEFAULT NULL COMMENT '本期应付价格',
  `pay` float DEFAULT '0' COMMENT '本期付了多少钱',
  `isfinished` int(1) DEFAULT '0' COMMENT '是否完成0false1true',
  `isdeleted` int(1) DEFAULT '0' COMMENT '是否删除0false1true',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=117 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.mission_task 的数据：0 rows
DELETE FROM `mission_task`;
/*!40000 ALTER TABLE `mission_task` DISABLE KEYS */;
/*!40000 ALTER TABLE `mission_task` ENABLE KEYS */;


-- 导出  表 guarantee.mission_task_time 结构
DROP TABLE IF EXISTS `mission_task_time`;
CREATE TABLE IF NOT EXISTS `mission_task_time` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `mission_task_id` int(11) DEFAULT NULL COMMENT 'task的id',
  `date` date DEFAULT NULL COMMENT '设定的时间',
  `ischanged` int(1) DEFAULT '0' COMMENT '是否已经更改',
  `changedate` date DEFAULT NULL COMMENT '更改的时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=117 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.mission_task_time 的数据：0 rows
DELETE FROM `mission_task_time`;
/*!40000 ALTER TABLE `mission_task_time` DISABLE KEYS */;
/*!40000 ALTER TABLE `mission_task_time` ENABLE KEYS */;


-- 导出  表 guarantee.mission_type 结构
DROP TABLE IF EXISTS `mission_type`;
CREATE TABLE IF NOT EXISTS `mission_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` char(50) DEFAULT NULL,
  `info` char(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.mission_type 的数据：0 rows
DELETE FROM `mission_type`;
/*!40000 ALTER TABLE `mission_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `mission_type` ENABLE KEYS */;


-- 导出  表 guarantee.rent_bill 结构
DROP TABLE IF EXISTS `rent_bill`;
CREATE TABLE IF NOT EXISTS `rent_bill` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contract_id` int(11) NOT NULL,
  `type` tinyint(4) DEFAULT NULL COMMENT '0免租期 1租金 2押金-1退押金',
  `info` char(50) NOT NULL,
  `beginDate` date NOT NULL DEFAULT '1900-01-01',
  `endDate` date NOT NULL DEFAULT '1900-01-01',
  `paidDate` date NOT NULL,
  `basicPrices` decimal(10,2) NOT NULL COMMENT '平方单价',
  `rate` decimal(3,2) NOT NULL COMMENT '递增率 0.0x',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00',
  `paid` decimal(10,2) NOT NULL DEFAULT '0.00',
  `isPaid` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0未支付 1已经支付-1退钱-2已退 2作废',
  `dingId` char(50) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=542 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_bill 的数据：0 rows
DELETE FROM `rent_bill`;
/*!40000 ALTER TABLE `rent_bill` DISABLE KEYS */;
/*!40000 ALTER TABLE `rent_bill` ENABLE KEYS */;


-- 导出  表 guarantee.rent_building 结构
DROP TABLE IF EXISTS `rent_building`;
CREATE TABLE IF NOT EXISTS `rent_building` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(50) NOT NULL DEFAULT '0',
  `location` char(100) DEFAULT '0',
  `code` char(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_building 的数据：17 rows
DELETE FROM `rent_building`;
/*!40000 ALTER TABLE `rent_building` DISABLE KEYS */;
INSERT INTO `rent_building` (`id`, `name`, `location`, `code`) VALUES
	(1, 'aaaaaaaa', '奉贤区南奉公路7777号', '445678'),
	(2, 'bbbbbb', '没地址', '没数据'),
	(3, 'ccccc', '没地址', '没数据'),
	(4, 'dddddd', '没地址', '没数据'),
	(5, 'eeeeee', '没地址', '没数据'),
	(7, 'fffffff', '一大道', '没数据'),
	(8, 'ggggggg', '所有机房汇总', '没数据'),
	(18, 'hhhhhhh', '没地址', '没数据'),
	(10, 'iiiiiiiii', '没地址', '没数据'),
	(11, 'jjjjjjjj', '没地址', '没数据'),
	(12, 'kkkkk', '没地址', '没数据'),
	(13, 'llllll', '没地址', '没数据'),
	(14, 'mmmmm', '没地址', '没数据'),
	(15, 'nnnnnn', '没地址', '没数据'),
	(16, 'oooooo', '没地址', '没数据'),
	(17, 'ppppp', '没地址', '没数据'),
	(19, '测试用建筑', '测试地址', '测试编号');
/*!40000 ALTER TABLE `rent_building` ENABLE KEYS */;


-- 导出  表 guarantee.rent_contract 结构
DROP TABLE IF EXISTS `rent_contract`;
CREATE TABLE IF NOT EXISTS `rent_contract` (
  `contractId` int(11) NOT NULL AUTO_INCREMENT,
  `contractName` char(100) DEFAULT NULL,
  `area` decimal(10,2) NOT NULL DEFAULT '0.00',
  `part_B` char(100) NOT NULL,
  `contractCODE` char(50) DEFAULT NULL,
  `beginDate` date NOT NULL DEFAULT '1900-01-01',
  `endDate` date NOT NULL DEFAULT '1900-01-01',
  `isFinished` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0:未完结 1:已签订退租合同 2:审批中 ',
  `dingding` char(50) NOT NULL DEFAULT '',
  `dingType` int(11) DEFAULT NULL COMMENT '0无 1新建审批 2更名审批 3退租审批',
  PRIMARY KEY (`contractId`)
) ENGINE=MyISAM AUTO_INCREMENT=131 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_contract 的数据：0 rows
DELETE FROM `rent_contract`;
/*!40000 ALTER TABLE `rent_contract` DISABLE KEYS */;
/*!40000 ALTER TABLE `rent_contract` ENABLE KEYS */;


-- 导出  表 guarantee.rent_contract_room 结构
DROP TABLE IF EXISTS `rent_contract_room`;
CREATE TABLE IF NOT EXISTS `rent_contract_room` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contract_Id` int(11) DEFAULT '0',
  `room_Id` int(11) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=163 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_contract_room 的数据：0 rows
DELETE FROM `rent_contract_room`;
/*!40000 ALTER TABLE `rent_contract_room` DISABLE KEYS */;
/*!40000 ALTER TABLE `rent_contract_room` ENABLE KEYS */;


-- 导出  表 guarantee.rent_floor 结构
DROP TABLE IF EXISTS `rent_floor`;
CREATE TABLE IF NOT EXISTS `rent_floor` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rent_building_id` int(11) NOT NULL DEFAULT '0',
  `name` char(50) NOT NULL,
  `order` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=143 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_floor 的数据：94 rows
DELETE FROM `rent_floor`;
/*!40000 ALTER TABLE `rent_floor` DISABLE KEYS */;
INSERT INTO `rent_floor` (`id`, `rent_building_id`, `name`, `order`) VALUES
	(84, 3, '商铺2层', 0),
	(83, 3, '商铺1层', 0),
	(82, 4, 'C4', 0),
	(81, 4, 'C3', 0),
	(80, 4, 'C2', 0),
	(79, 4, 'C1', 0),
	(78, 10, '1层', 0),
	(77, 5, '仓库', 0),
	(76, 5, 'B1', 0),
	(75, 5, '25电梯(28)', 0),
	(74, 5, '10楼', 0),
	(73, 5, '8楼', 0),
	(72, 5, '7楼', 0),
	(71, 5, '6楼', 0),
	(70, 5, '1楼', 0),
	(69, 1, '26楼', 0),
	(68, 1, '25楼', 0),
	(67, 1, '23楼', 0),
	(66, 1, '22楼', 0),
	(65, 1, '21楼', 0),
	(64, 1, '20楼', 0),
	(63, 1, '19楼', 0),
	(62, 1, '18楼', 0),
	(61, 1, '17楼', 0),
	(60, 1, '16楼', 0),
	(59, 1, '15楼', 0),
	(58, 1, '13楼', 0),
	(57, 1, '12楼', 0),
	(56, 1, '11楼', 0),
	(55, 1, '10楼', 0),
	(54, 1, '9楼', 0),
	(53, 1, '8楼', 0),
	(52, 1, '7楼', 0),
	(51, 1, '6楼', 0),
	(50, 1, '5楼', 0),
	(49, 1, '3楼', 0),
	(48, 1, '2楼', 0),
	(47, 1, '1楼', 0),
	(46, 8, '所有', 0),
	(45, 7, '3楼', 0),
	(44, 7, '2楼', 0),
	(43, 7, '1楼', 0),
	(85, 3, '商铺3层', 0),
	(86, 3, 'B栋4F', 0),
	(87, 3, 'B栋6F', 0),
	(88, 3, 'B栋7F', 0),
	(89, 3, 'B栋9F', 0),
	(90, 3, 'B栋10F', 0),
	(91, 3, 'B栋12F', 0),
	(92, 3, 'B栋13F', 0),
	(93, 3, '地下室', 0),
	(94, 2, 'A1商铺', 0),
	(95, 2, 'A2商铺', 0),
	(96, 2, 'A3商铺', 0),
	(97, 2, 'A4商铺', 0),
	(98, 11, '1层', 0),
	(99, 11, '2层', 0),
	(100, 11, '3层', 0),
	(101, 11, '4层', 0),
	(102, 11, '5层', 0),
	(103, 12, '1层', 0),
	(104, 12, '2层', 0),
	(105, 12, '3层', 0),
	(106, 12, '4层', 0),
	(107, 13, '1层', 0),
	(108, 13, '2层', 0),
	(109, 13, '3层', 0),
	(110, 13, '4层', 0),
	(111, 13, '5层', 0),
	(112, 13, '6层', 0),
	(113, 14, '1层', 0),
	(114, 14, '2层', 0),
	(115, 14, '3层', 0),
	(116, 15, '1层', 0),
	(117, 15, '2层', 0),
	(118, 15, '3层', 0),
	(119, 15, '4层', 0),
	(120, 16, '1层', 0),
	(121, 16, '2层', 0),
	(122, 16, '3层', 0),
	(123, 16, '4层', 0),
	(124, 16, '5层', 0),
	(125, 16, '6层', 0),
	(126, 16, '7层', 0),
	(127, 16, '8层', 0),
	(128, 17, '1层', 0),
	(129, 17, '2层', 0),
	(130, 17, '3层', 0),
	(131, 17, '4层', 0),
	(132, 17, '5层', 0),
	(133, 18, '1层', 0),
	(142, 19, '楼层3', 0),
	(141, 19, '测试', 0),
	(140, 19, '楼房', 0);
/*!40000 ALTER TABLE `rent_floor` ENABLE KEYS */;


-- 导出  表 guarantee.rent_room 结构
DROP TABLE IF EXISTS `rent_room`;
CREATE TABLE IF NOT EXISTS `rent_room` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` char(50) DEFAULT '0',
  `floor` int(11) DEFAULT '0',
  `area` decimal(10,2) unsigned NOT NULL DEFAULT '0.00',
  `isDelete` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=555 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.rent_room 的数据：533 rows
DELETE FROM `rent_room`;
/*!40000 ALTER TABLE `rent_room` DISABLE KEYS */;
INSERT INTO `rent_room` (`id`, `name`, `floor`, `area`, `isDelete`) VALUES
	(41, '	8589弄28号楼顶（铁塔移动奉绿天基站）	', 46, 8.00, 0),
	(40, '	302-330	', 45, 1100.00, 0),
	(39, '	百齐路358号2楼	', 44, 140.00, 0),
	(38, '	226-222	', 44, 225.00, 0),
	(37, '	208-212	', 44, 115.00, 0),
	(36, '	202-206	', 44, 175.00, 0),
	(35, '	230	', 44, 105.00, 0),
	(34, '	228	', 44, 100.00, 0),
	(33, '	218	', 44, 215.00, 0),
	(32, '	216	', 44, 90.00, 0),
	(31, '	百齐路358号1楼	', 43, 140.00, 0),
	(30, '	108-通道至3楼	', 43, 43.00, 0),
	(29, '	102-106	', 43, 160.00, 0),
	(28, '	130	', 43, 105.00, 0),
	(27, '	128	', 43, 100.00, 0),
	(26, '	126	', 43, 80.00, 0),
	(25, '	122	', 43, 105.00, 0),
	(24, '	118	', 43, 165.00, 0),
	(23, '	116	', 43, 85.00, 0),
	(22, '	112	', 43, 80.00, 0),
	(42, '	8589弄36号地下 （移动机房）	', 46, 35.00, 0),
	(43, '	百联一期B1（电信机房）	', 46, 8.00, 0),
	(44, '	南奉公路8509弄（电信机房）	', 46, 12.00, 0),
	(45, '	南奉公路8509弄26号地下室（移动机房）	', 46, 30.00, 0),
	(46, '	南方国际二大道8号屋顶（中国铁塔）	', 46, 35.00, 0),
	(47, '	莘奉公路1985号南方国际中意家居内（联通机房）	', 46, 10.00, 0),
	(48, '	百齐路588号百联楼内（联通机房）	', 46, 9.00, 0),
	(49, '	莘奉公路1989号（移动机房）	', 46, 30.00, 0),
	(50, '	南奉公路8589号（移动机房）	', 46, 15.00, 0),
	(51, '	百联二期b1（电信机房）	', 46, 15.00, 0),
	(52, '	南奉公路8509弄28号楼（联通机房）	', 46, 10.00, 0),
	(53, '	南奉公路8509弄（联通机房）	', 46, 12.00, 0),
	(54, '	百联二期B1（联通机房）	', 46, 15.00, 0),
	(55, '	金融大厦24层（联通机房）	', 46, 11.00, 0),
	(56, '	金融大厦24层（移动机房）	', 46, 13.00, 0),
	(57, '	金融大厦13层（联通机房）	', 46, 13.00, 0),
	(58, '	电信 金融大厦2间	', 46, 32.40, 0),
	(59, '	老大厦b1 联通	', 46, 20.00, 0),
	(60, '	101浙商	', 47, 347.63, 0),
	(61, '	102浙商	', 47, 256.09, 0),
	(62, '	103-自用	', 47, 39.01, 0),
	(63, '	南侧咖啡厅	', 47, 270.00, 0),
	(64, '	201-自用	', 48, 263.28, 0),
	(65, '	202-自用	', 48, 259.12, 0),
	(66, '	203-自用	', 48, 90.92, 0),
	(67, '	205-自用	', 48, 111.78, 0),
	(68, '	206-自用	', 48, 238.17, 0),
	(69, '	207-自用	', 48, 247.97, 0),
	(70, '	208-自用	', 48, 103.55, 0),
	(71, '	209-自用	', 48, 279.30, 0),
	(72, '	312	', 49, 252.49, 0),
	(73, '	313	', 49, 135.74, 0),
	(74, '	315	', 49, 135.72, 0),
	(75, '	316	', 49, 135.74, 0),
	(76, '	317	', 49, 141.69, 0),
	(77, '	301-自用	', 49, 88.69, 0),
	(78, '	302-自用	', 49, 81.99, 0),
	(79, '	303-自用	', 49, 82.00, 0),
	(80, '	305-自用	', 49, 82.00, 0),
	(81, '	306-自用	', 49, 82.00, 0),
	(82, '	307-自用	', 49, 82.02, 0),
	(83, '	308-自用	', 49, 81.97, 0),
	(84, '	309-自用	', 49, 81.98, 0),
	(85, '	310-自用	', 49, 82.01, 0),
	(86, '	311-自用	', 49, 84.81, 0),
	(87, '	318-自用	', 49, 86.33, 0),
	(88, '	501	', 50, 90.66, 0),
	(89, '	502	', 50, 81.99, 0),
	(90, '	503	', 50, 82.00, 0),
	(91, '	505	', 50, 82.00, 0),
	(92, '	506	', 50, 82.00, 0),
	(93, '	507	', 50, 82.02, 0),
	(94, '	508	', 50, 81.97, 0),
	(95, '	509	', 50, 81.98, 0),
	(96, '	510	', 50, 82.01, 0),
	(97, '	511	', 50, 84.81, 0),
	(98, '	512	', 50, 252.49, 0),
	(99, '	513	', 50, 135.74, 0),
	(100, '	515	', 50, 135.72, 0),
	(101, '	516	', 50, 135.74, 0),
	(102, '	517	', 50, 141.69, 0),
	(103, '	518	', 50, 93.91, 0),
	(104, '	601	', 51, 90.66, 0),
	(105, '	602	', 51, 81.99, 0),
	(106, '	603	', 51, 82.00, 0),
	(107, '	605	', 51, 82.00, 0),
	(108, '	606	', 51, 82.00, 0),
	(109, '	607	', 51, 82.02, 0),
	(110, '	608	', 51, 81.97, 0),
	(111, '	609	', 51, 81.98, 0),
	(112, '	610	', 51, 82.01, 0),
	(113, '	611	', 51, 90.66, 0),
	(114, '	612	', 51, 260.05, 0),
	(115, '	613	', 51, 135.71, 0),
	(116, '	615	', 51, 135.71, 0),
	(117, '	616	', 51, 135.71, 0),
	(118, '	617	', 51, 141.91, 0),
	(119, '	618	', 51, 93.92, 0),
	(120, '	701	', 52, 90.66, 0),
	(121, '	702	', 52, 81.99, 0),
	(122, '	703	', 52, 82.00, 0),
	(123, '	705	', 52, 82.00, 0),
	(124, '	706	', 52, 82.00, 0),
	(125, '	707	', 52, 82.02, 0),
	(126, '	708	', 52, 81.97, 0),
	(127, '	709	', 52, 81.98, 0),
	(128, '	710	', 52, 82.01, 0),
	(129, '	711	', 52, 90.66, 0),
	(130, '	712	', 52, 263.90, 0),
	(131, '	713	', 52, 135.71, 0),
	(132, '	715	', 52, 135.71, 0),
	(133, '	716	', 52, 135.71, 0),
	(134, '	717	', 52, 141.91, 0),
	(135, '	718	', 52, 93.92, 0),
	(136, '	801	', 53, 90.66, 0),
	(137, '	802	', 53, 81.99, 0),
	(138, '	803	', 53, 82.00, 0),
	(139, '	805	', 53, 82.00, 0),
	(140, '	806	', 53, 82.00, 0),
	(141, '	807	', 53, 82.02, 0),
	(142, '	808	', 53, 81.97, 0),
	(143, '	809	', 53, 81.98, 0),
	(144, '	810	', 53, 82.01, 0),
	(145, '	811	', 53, 90.66, 0),
	(146, '	812	', 53, 263.90, 0),
	(147, '	813	', 53, 135.71, 0),
	(148, '	815	', 53, 135.71, 0),
	(149, '	816	', 53, 135.71, 0),
	(150, '	817	', 53, 141.91, 0),
	(151, '	818	', 53, 93.92, 0),
	(152, '	901	', 54, 90.66, 0),
	(153, '	902	', 54, 81.99, 0),
	(154, '	903	', 54, 82.00, 0),
	(155, '	905	', 54, 82.00, 0),
	(156, '	906	', 54, 82.00, 0),
	(157, '	907	', 54, 82.02, 0),
	(158, '	908	', 54, 81.97, 0),
	(159, '	909	', 54, 81.98, 0),
	(160, '	910	', 54, 82.01, 0),
	(161, '	911	', 54, 90.66, 0),
	(162, '	912	', 54, 263.90, 0),
	(163, '	913	', 54, 135.71, 0),
	(164, '	915	', 54, 135.71, 0),
	(165, '	916	', 54, 135.71, 0),
	(166, '	917	', 54, 141.91, 0),
	(167, '	918	', 54, 93.92, 0),
	(168, '	1001	', 55, 90.66, 0),
	(169, '	1002	', 55, 81.99, 0),
	(170, '	1003	', 55, 82.00, 0),
	(171, '	1005	', 55, 82.00, 0),
	(172, '	1006	', 55, 82.00, 0),
	(173, '	1007	', 55, 82.02, 0),
	(174, '	1008	', 55, 81.97, 0),
	(175, '	1009	', 55, 81.98, 0),
	(176, '	1010	', 55, 82.01, 0),
	(177, '	1011	', 55, 90.66, 0),
	(178, '	1012	', 55, 263.90, 0),
	(179, '	1013	', 55, 135.71, 0),
	(180, '	1015	', 55, 135.71, 0),
	(181, '	1016	', 55, 135.71, 0),
	(182, '	1017	', 55, 141.91, 0),
	(183, '	1018	', 55, 93.92, 0),
	(184, '	1101	', 56, 90.66, 0),
	(185, '	1102	', 56, 81.99, 0),
	(186, '	1103	', 56, 82.00, 0),
	(187, '	1105	', 56, 82.00, 0),
	(188, '	1106	', 56, 82.00, 0),
	(189, '	1107	', 56, 82.02, 0),
	(190, '	1108	', 56, 81.97, 0),
	(191, '	1109	', 56, 81.98, 0),
	(192, '	1110	', 56, 82.01, 0),
	(193, '	1111	', 56, 90.66, 0),
	(194, '	1112	', 56, 263.90, 0),
	(195, '	1113	', 56, 135.71, 0),
	(196, '	1115	', 56, 135.71, 0),
	(197, '	1116	', 56, 135.71, 0),
	(198, '	1117	', 56, 141.91, 0),
	(199, '	1118	', 56, 93.92, 0),
	(200, '	1201	', 57, 90.66, 0),
	(201, '	1202	', 57, 81.99, 0),
	(202, '	1203	', 57, 82.00, 0),
	(203, '	1205	', 57, 82.00, 0),
	(204, '	1206	', 57, 82.00, 0),
	(205, '	1207	', 57, 82.02, 0),
	(206, '	1208	', 57, 81.97, 0),
	(207, '	1209	', 57, 81.98, 0),
	(208, '	1210	', 57, 82.01, 0),
	(209, '	1211	', 57, 90.66, 0),
	(210, '	1212	', 57, 263.90, 0),
	(211, '	1213	', 57, 135.71, 0),
	(212, '	1215	', 57, 135.71, 0),
	(213, '	1216	', 57, 135.71, 0),
	(214, '	1217	', 57, 141.91, 0),
	(215, '	1218	', 57, 93.92, 0),
	(216, '	1301	', 58, 90.66, 0),
	(217, '	1302	', 58, 81.99, 0),
	(218, '	1303	', 58, 82.00, 0),
	(219, '	1305	', 58, 82.00, 0),
	(220, '	1306	', 58, 82.00, 0),
	(221, '	1307	', 58, 82.02, 0),
	(222, '	1308	', 58, 81.97, 0),
	(223, '	1309	', 58, 81.98, 0),
	(224, '	1310	', 58, 82.01, 0),
	(225, '	1311	', 58, 90.66, 0),
	(226, '	1312	', 58, 263.90, 0),
	(227, '	1313	', 58, 135.71, 0),
	(228, '	1315	', 58, 135.71, 0),
	(229, '	1316	', 58, 135.71, 0),
	(230, '	1317	', 58, 141.91, 0),
	(231, '	1318	', 58, 93.92, 0),
	(232, '	1501	', 59, 90.66, 0),
	(233, '	1502	', 59, 81.99, 0),
	(234, '	1503	', 59, 82.00, 0),
	(235, '	1505	', 59, 82.00, 0),
	(236, '	1506	', 59, 82.00, 0),
	(237, '	1507	', 59, 82.02, 0),
	(238, '	1508	', 59, 81.97, 0),
	(239, '	1509	', 59, 81.98, 0),
	(240, '	1510	', 59, 82.01, 0),
	(241, '	1511	', 59, 90.66, 0),
	(242, '	1512	', 59, 263.90, 0),
	(243, '	1513	', 59, 135.71, 0),
	(244, '	1515	', 59, 135.71, 0),
	(245, '	1516	', 59, 135.71, 0),
	(246, '	1517	', 59, 141.91, 0),
	(247, '	1518	', 59, 93.92, 0),
	(248, '	1601	', 60, 90.66, 0),
	(249, '	1602	', 60, 81.99, 0),
	(250, '	1603	', 60, 82.00, 0),
	(251, '	1605	', 60, 82.00, 0),
	(252, '	1606	', 60, 82.00, 0),
	(253, '	1607	', 60, 82.02, 0),
	(254, '	1608	', 60, 81.97, 0),
	(255, '	1609	', 60, 81.98, 0),
	(256, '	1610	', 60, 82.01, 0),
	(257, '	1611	', 60, 90.66, 0),
	(258, '	1612	', 60, 263.90, 0),
	(259, '	1613	', 60, 135.71, 0),
	(260, '	1615	', 60, 135.71, 0),
	(261, '	1616	', 60, 135.71, 0),
	(262, '	1617	', 60, 141.91, 0),
	(263, '	1618	', 60, 93.92, 0),
	(264, '	1701	', 61, 90.66, 0),
	(265, '	1702	', 61, 81.99, 0),
	(266, '	1703	', 61, 82.00, 0),
	(267, '	1705	', 61, 82.00, 0),
	(268, '	1706	', 61, 82.00, 0),
	(269, '	1707	', 61, 82.02, 0),
	(270, '	1708	', 61, 81.97, 0),
	(271, '	1709	', 61, 81.98, 0),
	(272, '	1710	', 61, 82.01, 0),
	(273, '	1711	', 61, 90.66, 0),
	(274, '	1712	', 61, 263.90, 0),
	(275, '	1713	', 61, 135.71, 0),
	(276, '	1715	', 61, 135.71, 0),
	(277, '	1716	', 61, 135.71, 0),
	(278, '	1717	', 61, 141.91, 0),
	(279, '	1718	', 61, 93.92, 0),
	(280, '	1801	', 62, 172.65, 0),
	(281, '	1802	', 62, 163.99, 0),
	(282, '	1803	', 62, 164.02, 0),
	(283, '	1805	', 62, 163.95, 0),
	(284, '	1806	', 62, 172.67, 0),
	(285, '	1807	', 62, 263.90, 0),
	(286, '	1808	', 62, 135.71, 0),
	(287, '	1809	', 62, 135.71, 0),
	(288, '	1810	', 62, 135.71, 0),
	(289, '	1811	', 62, 141.91, 0),
	(290, '	1812	', 62, 93.92, 0),
	(291, '	1901	', 63, 172.65, 0),
	(292, '	1902	', 63, 163.99, 0),
	(293, '	1903	', 63, 164.02, 0),
	(294, '	1905	', 63, 163.95, 0),
	(295, '	1906	', 63, 172.67, 0),
	(296, '	1907	', 63, 263.90, 0),
	(297, '	1908	', 63, 135.71, 0),
	(298, '	1909	', 63, 135.71, 0),
	(299, '	1910	', 63, 135.71, 0),
	(300, '	1911	', 63, 141.91, 0),
	(301, '	1912	', 63, 93.92, 0),
	(302, '	2001	', 64, 172.65, 0),
	(303, '	2002	', 64, 163.99, 0),
	(304, '	2003	', 64, 164.02, 0),
	(305, '	2005	', 64, 163.95, 0),
	(306, '	2006	', 64, 172.67, 0),
	(307, '	2007	', 64, 263.90, 0),
	(308, '	2008	', 64, 135.71, 0),
	(309, '	2009	', 64, 135.71, 0),
	(310, '	2010	', 64, 135.71, 0),
	(311, '	2011	', 64, 141.91, 0),
	(312, '	2012	', 64, 93.92, 0),
	(313, '	2101	', 65, 172.65, 0),
	(314, '	2102	', 65, 163.99, 0),
	(315, '	2103	', 65, 164.02, 0),
	(316, '	2105	', 65, 163.95, 0),
	(317, '	2106	', 65, 172.67, 0),
	(318, '	2107	', 65, 263.90, 0),
	(319, '	2108	', 65, 135.71, 0),
	(320, '	2109	', 65, 135.71, 0),
	(321, '	2110	', 65, 135.71, 0),
	(322, '	2111	', 65, 141.91, 0),
	(323, '	2112	', 65, 93.92, 0),
	(324, '	2201	', 66, 172.65, 0),
	(325, '	2202	', 66, 163.99, 0),
	(326, '	2203	', 66, 164.02, 0),
	(327, '	2205	', 66, 163.95, 0),
	(328, '	2206	', 66, 172.67, 0),
	(329, '	2207	', 66, 263.90, 0),
	(330, '	2208	', 66, 135.71, 0),
	(331, '	2209	', 66, 135.71, 0),
	(332, '	2210	', 66, 135.71, 0),
	(333, '	2211	', 66, 141.91, 0),
	(334, '	2212	', 66, 93.92, 0),
	(335, '	2301	', 67, 837.28, 0),
	(336, '	2302	', 67, 822.99, 0),
	(337, '	2303	', 67, 93.92, 0),
	(338, '	2501	', 68, 837.28, 0),
	(339, '	2503	', 68, 93.92, 0),
	(340, '	2502-1	', 68, 252.00, 0),
	(341, '	2502-2	', 68, 252.00, 0),
	(342, '	2502-3	', 68, 318.99, 0),
	(343, '	2601	', 69, 837.28, 0),
	(344, '	2602	', 69, 822.99, 0),
	(345, '	2603	', 69, 93.92, 0),
	(346, '	105	', 70, 80.00, 0),
	(347, '	H	', 71, 76.97, 0),
	(348, '	I[物业]	', 71, 107.20, 0),
	(349, '	J[物业]	', 71, 85.40, 0),
	(350, '	K	', 71, 87.39, 0),
	(351, '	A	', 72, 132.82, 0),
	(352, '	B	', 72, 76.97, 0),
	(353, '	C	', 72, 107.20, 0),
	(354, '	D	', 72, 87.96, 0),
	(355, '	E	', 72, 185.63, 0),
	(356, '	F	', 72, 111.03, 0),
	(357, '	G	', 72, 132.82, 0),
	(358, '	H	', 72, 76.97, 0),
	(359, '	I	', 72, 107.20, 0),
	(360, '	J	', 72, 85.40, 0),
	(361, '	K	', 72, 87.39, 0),
	(362, '	L	', 72, 111.03, 0),
	(363, '	A	', 73, 132.82, 0),
	(364, '	B	', 73, 76.97, 0),
	(365, '	C	', 73, 107.20, 0),
	(366, '	D	', 73, 87.96, 0),
	(367, '	E	', 73, 185.63, 0),
	(368, '	G	', 73, 132.82, 0),
	(369, '	I	', 73, 107.20, 0),
	(370, '	A	', 74, 132.82, 0),
	(371, '	B	', 74, 76.97, 0),
	(372, '	C	', 74, 107.20, 0),
	(373, '	D	', 74, 87.96, 0),
	(374, '	E	', 74, 185.63, 0),
	(375, '	F	', 74, 111.03, 0),
	(376, '	G	', 74, 132.82, 0),
	(377, '	H	', 74, 76.97, 0),
	(378, '	I	', 74, 107.20, 0),
	(379, '	J	', 74, 85.40, 0),
	(380, '	K	', 74, 87.39, 0),
	(381, '	L	', 74, 111.03, 0),
	(382, '	A	', 75, 1305.96, 0),
	(383, '	A-网吧	', 76, 500.00, 0),
	(384, '	B-游戏机房	', 76, 900.00, 0),
	(385, '	C-洗车房	', 76, 200.00, 0),
	(386, '	A	', 77, 180.00, 0),
	(387, '	B	', 77, 20.00, 0),
	(388, '	C	', 77, 20.00, 0),
	(389, '	107	', 78, 50.00, 0),
	(390, '	101中意运营	', 78, 70.00, 0),
	(391, '	102中意	', 78, 50.00, 0),
	(392, '	103中意	', 78, 50.00, 0),
	(393, '	104中意	', 78, 50.00, 0),
	(394, '	105中意	', 78, 50.00, 0),
	(395, '	106中意	', 78, 50.00, 0),
	(396, '	108中意	', 78, 50.00, 0),
	(397, '	109中意	', 78, 50.00, 0),
	(398, '	百齐路369号	', 78, 315.00, 0),
	(399, '	101	', 79, 2180.00, 0),
	(400, '	105	', 79, 59.00, 0),
	(401, '	106	', 79, 140.00, 0),
	(402, '	107	', 79, 270.00, 0),
	(403, '	108	', 79, 380.00, 0),
	(404, '	109	', 79, 720.00, 0),
	(405, '	201	', 80, 1220.00, 0),
	(406, '	205	', 80, 500.00, 0),
	(407, '	206	', 80, 500.00, 0),
	(408, '	207	', 80, 350.00, 0),
	(409, '	208	', 80, 652.00, 0),
	(410, '	301	', 81, 340.00, 0),
	(411, '	302	', 81, 842.00, 0),
	(412, '	303	', 81, 420.00, 0),
	(413, '	304	', 81, 870.00, 0),
	(414, '	305	', 81, 652.00, 0),
	(415, '	401	', 82, 580.00, 0),
	(416, '	1003	', 90, 165.61, 0),
	(417, '	1001（顾建学）	', 90, 174.69, 0),
	(418, '	1002（顾建学）	', 90, 174.29, 0),
	(419, '	1004（刘阳）	', 90, 234.74, 0),
	(420, '	1202	', 91, 178.40, 0),
	(421, '	1203	', 91, 169.56, 0),
	(422, '	1201（沈五保、姚彩琴）	', 91, 179.21, 0),
	(423, '	1204（赵娜）	', 91, 234.74, 0),
	(424, '	1301	', 92, 228.32, 0),
	(425, '	1302	', 92, 227.51, 0),
	(426, '	1303	', 92, 216.23, 0),
	(427, '	1304	', 92, 292.38, 0),
	(428, '	401	', 86, 174.69, 0),
	(429, '	402	', 86, 174.29, 0),
	(430, '	403	', 86, 165.61, 0),
	(431, '	404	', 86, 234.74, 0),
	(432, '	602	', 87, 178.40, 0),
	(433, '	603	', 87, 169.56, 0),
	(434, '	604	', 87, 240.00, 0),
	(435, '	601（赵婧）	', 87, 179.21, 0),
	(436, '	701	', 88, 174.69, 0),
	(437, '	702	', 88, 174.29, 0),
	(438, '	704	', 88, 234.74, 0),
	(439, '	703（谢雅姿）	', 88, 165.61, 0),
	(440, '	903	', 89, 169.56, 0),
	(441, '	904（包榕）	', 89, 218.95, 0),
	(442, '	9楼901室	', 89, 179.21, 0),
	(443, '	9楼902室	', 89, 178.40, 0),
	(444, '	小仓库	', 93, 25.00, 0),
	(445, '	101	', 83, 336.00, 0),
	(446, '	102	', 83, 56.00, 0),
	(447, '	103	', 83, 200.00, 0),
	(448, '	104	', 83, 70.00, 0),
	(449, '	西北转角1-2层105	', 83, 268.00, 0),
	(450, '	201	', 84, 500.00, 0),
	(451, '	202	', 84, 579.00, 0),
	(452, '	301	', 85, 451.00, 0),
	(453, '	302	', 85, 400.00, 0),
	(454, '	101	', 94, 435.00, 0),
	(455, '	102	', 94, 505.00, 0),
	(456, '	103	', 94, 138.00, 0),
	(457, '	104	', 94, 48.00, 0),
	(458, '	106	', 94, 105.00, 0),
	(459, '	109	', 94, 450.00, 0),
	(460, '	103麦当劳	', 94, 415.00, 0),
	(461, '	201	', 95, 1921.00, 0),
	(462, '	301	', 96, 496.00, 0),
	(463, '	302	', 96, 421.00, 0),
	(464, '	305	', 96, 255.00, 0),
	(465, '	306	', 96, 290.00, 0),
	(466, '	307	', 96, 100.00, 0),
	(467, '	303-304	', 96, 438.00, 0),
	(468, '	401	', 97, 812.00, 0),
	(469, '	401	', 97, 724.00, 0),
	(470, '	101	', 98, 100.00, 0),
	(471, '	102	', 98, 100.00, 0),
	(472, '	103	', 98, 100.00, 0),
	(473, '	104	', 98, 100.00, 0),
	(474, '	106	', 98, 360.40, 0),
	(475, '	201	', 99, 100.00, 0),
	(476, '	202	', 99, 100.00, 0),
	(477, '	203	', 99, 100.00, 0),
	(478, '	204	', 99, 100.00, 0),
	(479, '	301	', 100, 110.00, 0),
	(480, '	302	', 100, 110.00, 0),
	(481, '	303	', 100, 110.00, 0),
	(482, '	304	', 100, 110.00, 0),
	(483, '	305	', 100, 110.00, 0),
	(484, '	401	', 101, 500.00, 0),
	(485, '	501	', 102, 80.00, 0),
	(486, '	101	', 103, 40.00, 0),
	(487, '	102	', 103, 150.00, 0),
	(488, '	101	', 104, 40.00, 0),
	(489, '	102	', 104, 150.00, 0),
	(490, '	301	', 105, 40.00, 0),
	(491, '	302	', 105, 150.00, 0),
	(492, '	401	', 106, 40.00, 0),
	(493, '	402	', 106, 150.00, 0),
	(494, '	101	', 107, 135.00, 0),
	(495, '	102	', 107, 257.00, 0),
	(496, '	103	', 107, 198.75, 0),
	(497, '	104	', 107, 244.50, 0),
	(498, '	105	', 107, 147.50, 0),
	(499, '	201	', 108, 520.00, 0),
	(500, '	203	', 108, 331.25, 0),
	(501, '	204	', 108, 305.50, 0),
	(502, '	301	', 109, 520.00, 0),
	(503, '	303	', 109, 740.50, 0),
	(504, '	401	', 110, 520.00, 0),
	(505, '	403	', 110, 740.50, 0),
	(506, '	501	', 111, 520.00, 0),
	(507, '	503	', 111, 740.50, 0),
	(508, '	601	', 112, 135.00, 0),
	(509, '	602	', 112, 93.00, 0),
	(510, '	605	', 112, 131.00, 0),
	(511, '	101	', 113, 150.00, 0),
	(512, '	102	', 113, 200.00, 0),
	(513, '	103	', 113, 150.00, 0),
	(514, '	104	', 113, 100.00, 0),
	(515, '	105	', 113, 100.00, 0),
	(516, '	106	', 113, 100.00, 0),
	(517, '	107	', 113, 150.00, 0),
	(518, '	108	', 113, 100.00, 0),
	(519, '	109	', 113, 44.58, 0),
	(520, '	110	', 113, 49.54, 0),
	(521, '	201	', 114, 905.00, 0),
	(522, '	303 自由港用	', 115, 100.00, 0),
	(523, '	304 自由港用	', 115, 100.00, 0),
	(524, '	101	', 116, 330.00, 0),
	(525, '	104	', 116, 150.00, 0),
	(526, '	201	', 117, 420.00, 0),
	(527, '	202	', 117, 700.00, 0),
	(528, '	301	', 118, 1025.00, 0),
	(529, '	401	', 119, 1025.00, 0),
	(530, '	1f	', 120, 258.15, 0),
	(531, '	2f	', 121, 258.15, 0),
	(532, '	3f	', 122, 516.30, 0),
	(533, '	4f	', 123, 516.30, 0),
	(534, '	5f	', 124, 516.30, 0),
	(535, '	6f	', 125, 516.30, 0),
	(536, '	7f	', 126, 516.30, 0),
	(537, '	8f	', 127, 516.30, 0),
	(538, '	102	', 128, 314.00, 0),
	(539, '	1f	', 128, 642.00, 0),
	(540, '	2f	', 129, 458.00, 0),
	(541, '	余志明202	', 129, 181.50, 0),
	(542, '	3f	', 130, 639.50, 0),
	(543, '	4f	', 131, 639.50, 0),
	(544, '	5f	', 132, 639.50, 0),
	(545, '	101	', 133, 1005.00, 0),
	(546, '	102	', 133, 2073.00, 0),
	(547, '	103	', 133, 1447.00, 0),
	(548, '	104	', 133, 245.50, 0),
	(549, '	105	', 133, 550.00, 0),
	(550, '101', 140, 200.00, 0),
	(551, '测试2', 141, 100.00, 0),
	(552, '102', 140, 600.00, 0),
	(553, '203', 141, 300.00, 0),
	(554, '301', 142, 100.00, 0);
/*!40000 ALTER TABLE `rent_room` ENABLE KEYS */;


-- 导出  表 guarantee.sql_history 结构
DROP TABLE IF EXISTS `sql_history`;
CREATE TABLE IF NOT EXISTS `sql_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `info` char(50) NOT NULL DEFAULT '0',
  `name` varchar(50) DEFAULT NULL,
  `sql` text,
  `time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=379 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.sql_history 的数据：0 rows
DELETE FROM `sql_history`;
/*!40000 ALTER TABLE `sql_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `sql_history` ENABLE KEYS */;


-- 导出  表 guarantee.t1 结构
DROP TABLE IF EXISTS `t1`;
CREATE TABLE IF NOT EXISTS `t1` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `isfinished` int(1) NOT NULL DEFAULT '0',
  `problem` varchar(50) DEFAULT NULL,
  `person` varchar(50) DEFAULT NULL,
  `tel` varchar(50) DEFAULT NULL,
  `location` varchar(50) DEFAULT NULL,
  `time` varchar(50) DEFAULT NULL,
  `finishtime` varchar(50) DEFAULT NULL,
  `info` varchar(300) DEFAULT NULL,
  `isdeleted` int(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=288 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.t1 的数据：0 rows
DELETE FROM `t1`;
/*!40000 ALTER TABLE `t1` DISABLE KEYS */;
/*!40000 ALTER TABLE `t1` ENABLE KEYS */;


-- 导出  表 guarantee.t2 结构
DROP TABLE IF EXISTS `t2`;
CREATE TABLE IF NOT EXISTS `t2` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `t1id` int(11) DEFAULT NULL,
  `time` varchar(50) DEFAULT NULL,
  `info` text,
  `type` int(11) DEFAULT NULL COMMENT '1建立2事件3完结',
  `isdeleted` int(1) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=235 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.t2 的数据：0 rows
DELETE FROM `t2`;
/*!40000 ALTER TABLE `t2` DISABLE KEYS */;
/*!40000 ALTER TABLE `t2` ENABLE KEYS */;


-- 导出  表 guarantee.tasks 结构
DROP TABLE IF EXISTS `tasks`;
CREATE TABLE IF NOT EXISTS `tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cycleid` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL DEFAULT '2010-01-01',
  `prices` int(11) NOT NULL DEFAULT '0',
  `isfinished` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=false 1=true',
  `isclosed` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=false 1=true',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=68614 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.tasks 的数据：182 rows
DELETE FROM `tasks`;
/*!40000 ALTER TABLE `tasks` DISABLE KEYS */;
INSERT INTO `tasks` (`id`, `cycleid`, `date`, `prices`, `isfinished`, `isclosed`) VALUES
	(68432, 80, '2031-04-28', 7777, 0, 0),
	(68433, 80, '2031-05-28', 7777, 0, 0),
	(68434, 80, '2031-06-27', 7777, 0, 0),
	(68435, 80, '2031-07-27', 7777, 0, 0),
	(68436, 80, '2031-08-26', 7777, 0, 0),
	(68437, 80, '2031-09-25', 7777, 0, 0),
	(68438, 80, '2031-10-25', 7777, 0, 0),
	(68439, 80, '2031-11-24', 7777, 0, 0),
	(68440, 80, '2031-12-24', 7777, 0, 0),
	(68441, 80, '2032-01-23', 7777, 0, 0),
	(68442, 81, '2018-01-06', 555550, 0, 0),
	(68443, 81, '2018-02-05', 555550, 0, 0),
	(68444, 81, '2018-03-07', 555550, 0, 0),
	(68445, 81, '2018-04-06', 555550, 0, 0),
	(68446, 81, '2018-05-06', 555550, 0, 0),
	(68447, 81, '2018-06-05', 555550, 0, 0),
	(68448, 81, '2018-07-05', 555550, 0, 0),
	(68449, 81, '2018-08-04', 555550, 0, 0),
	(68450, 81, '2018-09-03', 555550, 0, 0),
	(68451, 81, '2018-10-03', 555550, 0, 0),
	(68452, 81, '2018-11-02', 555550, 0, 0),
	(68453, 81, '2018-12-02', 555550, 0, 0),
	(68454, 81, '2019-01-01', 555550, 0, 0),
	(68455, 81, '2019-01-31', 555550, 0, 0),
	(68456, 81, '2019-03-02', 555550, 0, 0),
	(68457, 81, '2019-04-01', 555550, 0, 0),
	(68458, 81, '2019-05-01', 555550, 0, 0),
	(68459, 81, '2019-05-31', 555550, 0, 0),
	(68460, 81, '2019-06-30', 555550, 0, 0),
	(68461, 81, '2019-07-30', 555550, 0, 0),
	(68462, 81, '2019-08-29', 555550, 0, 0),
	(68463, 81, '2019-09-28', 555550, 0, 0),
	(68464, 81, '2019-10-28', 555550, 0, 0),
	(68465, 81, '2019-11-27', 555550, 0, 0),
	(68466, 81, '2019-12-27', 555550, 0, 0),
	(68467, 81, '2020-01-26', 555550, 0, 0),
	(68468, 81, '2020-02-25', 555550, 0, 0),
	(68469, 81, '2020-03-26', 555550, 0, 0),
	(68470, 81, '2020-04-25', 555550, 0, 0),
	(68471, 81, '2020-05-25', 555550, 0, 0),
	(68472, 81, '2020-06-24', 555550, 0, 0),
	(68473, 81, '2020-07-24', 555550, 0, 0),
	(68474, 81, '2020-08-23', 555550, 0, 0),
	(68475, 81, '2020-09-22', 555550, 0, 0),
	(68476, 81, '2020-10-22', 555550, 0, 0),
	(68477, 81, '2020-11-21', 555550, 0, 0),
	(68478, 81, '2020-12-21', 555550, 0, 0),
	(68479, 81, '2021-01-20', 555550, 0, 0),
	(68480, 81, '2021-02-19', 555550, 0, 0),
	(68481, 81, '2021-03-21', 555550, 0, 0),
	(68482, 81, '2021-04-20', 555550, 0, 0),
	(68483, 81, '2021-05-20', 555550, 0, 0),
	(68484, 81, '2021-06-19', 555550, 0, 0),
	(68485, 81, '2021-07-19', 555550, 0, 0),
	(68486, 81, '2021-08-18', 555550, 0, 0),
	(68487, 81, '2021-09-17', 555550, 0, 0),
	(68488, 81, '2021-10-17', 555550, 0, 0),
	(68489, 81, '2021-11-16', 555550, 0, 0),
	(68490, 81, '2021-12-16', 555550, 0, 0),
	(68491, 81, '2022-01-15', 555550, 0, 0),
	(68492, 81, '2022-02-14', 555550, 0, 0),
	(68493, 81, '2022-03-16', 555550, 0, 0),
	(68494, 81, '2022-04-15', 555550, 0, 0),
	(68495, 81, '2022-05-15', 555550, 0, 0),
	(68496, 81, '2022-06-14', 555550, 0, 0),
	(68497, 81, '2022-07-14', 555550, 0, 0),
	(68498, 81, '2022-08-13', 555550, 0, 0),
	(68499, 81, '2022-09-12', 555550, 0, 0),
	(68500, 81, '2022-10-12', 555550, 0, 0),
	(68501, 81, '2022-11-11', 555550, 0, 0),
	(68502, 81, '2022-12-11', 555550, 0, 0),
	(68503, 81, '2023-01-10', 555550, 0, 0),
	(68504, 81, '2023-02-09', 555550, 0, 0),
	(68505, 81, '2023-03-11', 555550, 0, 0),
	(68506, 81, '2023-04-10', 555550, 0, 0),
	(68507, 81, '2023-05-10', 555550, 0, 0),
	(68508, 81, '2023-06-09', 555550, 0, 0),
	(68509, 81, '2023-07-09', 555550, 0, 0),
	(68510, 81, '2023-08-08', 555550, 0, 0),
	(68511, 81, '2023-09-07', 555550, 0, 0),
	(68512, 81, '2023-10-07', 555550, 0, 0),
	(68513, 81, '2023-11-06', 555550, 0, 0),
	(68514, 81, '2023-12-06', 555550, 0, 0),
	(68515, 81, '2024-01-05', 555550, 0, 0),
	(68516, 81, '2024-02-04', 555550, 0, 0),
	(68517, 81, '2024-03-05', 555550, 0, 0),
	(68518, 81, '2024-04-04', 555550, 0, 0),
	(68519, 81, '2024-05-04', 555550, 0, 0),
	(68520, 81, '2024-06-03', 555550, 0, 0),
	(68521, 81, '2024-07-03', 555550, 0, 0),
	(68522, 81, '2024-08-02', 555550, 0, 0),
	(68523, 81, '2024-09-01', 555550, 0, 0),
	(68524, 81, '2024-10-01', 555550, 0, 0),
	(68525, 81, '2024-10-31', 555550, 0, 0),
	(68526, 81, '2024-11-30', 555550, 0, 0),
	(68527, 81, '2024-12-30', 555550, 0, 0),
	(68528, 81, '2025-01-29', 555550, 0, 0),
	(68529, 81, '2025-02-28', 555550, 0, 0),
	(68530, 81, '2025-03-30', 555550, 0, 0),
	(68531, 81, '2025-04-29', 555550, 0, 0),
	(68532, 81, '2025-05-29', 555550, 0, 0),
	(68533, 81, '2025-06-28', 555550, 0, 0),
	(68534, 81, '2025-07-28', 555550, 0, 0),
	(68535, 81, '2025-08-27', 555550, 0, 0),
	(68536, 81, '2025-09-26', 555550, 0, 0),
	(68537, 81, '2025-10-26', 555550, 0, 0),
	(68538, 81, '2025-11-25', 555550, 0, 0),
	(68539, 81, '2025-12-25', 555550, 0, 0),
	(68540, 81, '2026-01-24', 555550, 0, 0),
	(68541, 81, '2026-02-23', 555550, 0, 0),
	(68542, 81, '2026-03-25', 555550, 0, 0),
	(68543, 81, '2026-04-24', 555550, 0, 0),
	(68544, 81, '2026-05-24', 555550, 0, 0),
	(68545, 81, '2026-06-23', 555550, 0, 0),
	(68546, 81, '2026-07-23', 555550, 0, 0),
	(68547, 81, '2026-08-22', 555550, 0, 0),
	(68548, 81, '2026-09-21', 555550, 0, 0),
	(68549, 81, '2026-10-21', 555550, 0, 0),
	(68550, 81, '2026-11-20', 555550, 0, 0),
	(68551, 81, '2026-12-20', 555550, 0, 0),
	(68552, 81, '2027-01-19', 555550, 0, 0),
	(68553, 81, '2027-02-18', 555550, 0, 0),
	(68554, 81, '2027-03-20', 555550, 0, 0),
	(68555, 81, '2027-04-19', 555550, 0, 0),
	(68556, 81, '2027-05-19', 555550, 0, 0),
	(68557, 81, '2027-06-18', 555550, 0, 0),
	(68558, 81, '2027-07-18', 555550, 0, 0),
	(68559, 81, '2027-08-17', 555550, 0, 0),
	(68560, 81, '2027-09-16', 555550, 0, 0),
	(68561, 81, '2027-10-16', 555550, 0, 0),
	(68562, 81, '2027-11-15', 555550, 0, 0),
	(68563, 81, '2027-12-15', 555550, 0, 0),
	(68564, 81, '2028-01-14', 555550, 0, 0),
	(68565, 81, '2028-02-13', 555550, 0, 0),
	(68566, 81, '2028-03-14', 555550, 0, 0),
	(68567, 81, '2028-04-13', 555550, 0, 0),
	(68568, 81, '2028-05-13', 555550, 0, 0),
	(68569, 81, '2028-06-12', 555550, 0, 0),
	(68570, 81, '2028-07-12', 555550, 0, 0),
	(68571, 81, '2028-08-11', 555550, 0, 0),
	(68572, 81, '2028-09-10', 555550, 0, 0),
	(68573, 81, '2028-10-10', 555550, 0, 0),
	(68574, 81, '2028-11-09', 555550, 0, 0),
	(68575, 81, '2028-12-09', 555550, 0, 0),
	(68576, 81, '2029-01-08', 555550, 0, 0),
	(68577, 81, '2029-02-07', 555550, 0, 0),
	(68578, 81, '2029-03-09', 555550, 0, 0),
	(68579, 81, '2029-04-08', 555550, 0, 0),
	(68580, 81, '2029-05-08', 555550, 0, 0),
	(68581, 81, '2029-06-07', 555550, 0, 0),
	(68582, 81, '2029-07-07', 555550, 0, 0),
	(68583, 81, '2029-08-06', 555550, 0, 0),
	(68584, 81, '2029-09-05', 555550, 0, 0),
	(68585, 81, '2029-10-05', 555550, 0, 0),
	(68586, 81, '2029-11-04', 555550, 0, 0),
	(68587, 81, '2029-12-04', 555550, 0, 0),
	(68588, 81, '2030-01-03', 555550, 0, 0),
	(68589, 81, '2030-02-02', 555550, 0, 0),
	(68590, 81, '2030-03-04', 555550, 0, 0),
	(68591, 81, '2030-04-03', 555550, 0, 0),
	(68592, 81, '2030-05-03', 555550, 0, 0),
	(68593, 81, '2030-06-02', 555550, 0, 0),
	(68594, 81, '2030-07-02', 555550, 0, 0),
	(68595, 81, '2030-08-01', 555550, 0, 0),
	(68596, 81, '2030-08-31', 555550, 0, 0),
	(68597, 81, '2030-09-30', 555550, 0, 0),
	(68598, 81, '2030-10-30', 555550, 0, 0),
	(68599, 81, '2030-11-29', 555550, 0, 0),
	(68600, 81, '2030-12-29', 555550, 0, 0),
	(68601, 81, '2031-01-28', 555550, 0, 0),
	(68602, 81, '2031-02-27', 555550, 0, 0),
	(68603, 81, '2031-03-29', 555550, 0, 0),
	(68604, 81, '2031-04-28', 555550, 0, 0),
	(68605, 81, '2031-05-28', 555550, 0, 0),
	(68606, 81, '2031-06-27', 555550, 0, 0),
	(68607, 81, '2031-07-27', 555550, 0, 0),
	(68608, 81, '2031-08-26', 555550, 0, 0),
	(68609, 81, '2031-09-25', 555550, 0, 0),
	(68610, 81, '2031-10-25', 555550, 0, 0),
	(68611, 81, '2031-11-24', 555550, 0, 0),
	(68612, 81, '2031-12-24', 555550, 0, 0),
	(68613, 81, '2032-01-23', 555550, 0, 0);
/*!40000 ALTER TABLE `tasks` ENABLE KEYS */;


-- 导出  表 guarantee.type 结构
DROP TABLE IF EXISTS `type`;
CREATE TABLE IF NOT EXISTS `type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type_name` char(50) NOT NULL DEFAULT '0',
  `path` varchar(50) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.type 的数据：3 rows
DELETE FROM `type`;
/*!40000 ALTER TABLE `type` DISABLE KEYS */;
INSERT INTO `type` (`id`, `type_name`, `path`) VALUES
	(1, 'root', 'root'),
	(2, '土建', 'root/土建'),
	(3, '道路', 'root/土建/道路');
/*!40000 ALTER TABLE `type` ENABLE KEYS */;


-- 导出  表 guarantee.user 结构
DROP TABLE IF EXISTS `user`;
CREATE TABLE IF NOT EXISTS `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userName` char(50) DEFAULT NULL,
  `password` char(50) DEFAULT NULL,
  `name` char(50) DEFAULT NULL,
  `type` char(50) DEFAULT NULL,
  `rule` char(250) DEFAULT '0' COMMENT '增加的rule用,隔开',
  `isDeleted` tinyint(1) DEFAULT '0',
  `dingId` char(50) DEFAULT '',
  `depId` char(50) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=utf8;

-- 正在导出表  guarantee.user 的数据：1 rows
DELETE FROM `user`;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
INSERT INTO `user` (`id`, `userName`, `password`, `name`, `type`, `rule`, `isDeleted`, `dingId`, `depId`) VALUES
	(1, 'edi', '57198677', '管理员', 'user', '300,301,303,400,401,200,201,202,101,102,103,100,304,302,500,600,601,602,604,605,606,607,611,609,610,608,603', 0, 'manager5127', '88353229');
/*!40000 ALTER TABLE `user` ENABLE KEYS */;


-- 导出  视图 guarantee.all_room 结构
DROP VIEW IF EXISTS `all_room`;
-- 移除临时表并创建最终视图结构
DROP TABLE IF EXISTS `all_room`;
CREATE ALGORITHM=UNDEFINED DEFINER=`yxw`@`%` SQL SECURITY DEFINER VIEW `all_room` AS (select `r`.`id` AS `id`,`r`.`name` AS `name`,`r`.`area` AS `area`,`f`.`name` AS `floor`,`b`.`name` AS `building` from ((`rent_room` `r` left join `rent_floor` `f` on((`r`.`floor` = `f`.`id`))) left join `rent_building` `b` on((`b`.`id` = `f`.`rent_building_id`))) where (`b`.`id` = 1));


-- 导出  视图 guarantee.current_mission 结构
DROP VIEW IF EXISTS `current_mission`;
-- 移除临时表并创建最终视图结构
DROP TABLE IF EXISTS `current_mission`;
CREATE ALGORITHM=UNDEFINED DEFINER=`yxw`@`%` SQL SECURITY DEFINER VIEW `current_mission` AS select `m`.`id` AS `id`,`m`.`object` AS `object`,`m`.`factory` AS `factory`,`mt`.`type` AS `type`,`m`.`c_time` AS `c_time` from ((`mission` `m` left join `user` on((`guarantee`.`user`.`id` = `m`.`emplo`))) left join `mission_type` `mt` on((`mt`.`id` = `m`.`type`))) where ((`m`.`isdeleted` = 0) and (`m`.`isfinished` = 0));
/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
