﻿var webpack = require("webpack");

module.exports = {
  devServer: {
    host: "192.168.3.191",
    inline: true,
    port: 8888,
  },
  entry: {
    main: "./src/main.js",
    //vendors: ['react','jquery']
  },
  output: {
    path: "./dist",
    publicPath: "dist/",
    filename: "build.js",
  },
  module: {
    loaders: [
      {
        // edit this for additional asset file types
        test: /\.(png|jpg|gif)$/,
        loader: "url-loader?limit=819200",
      },
      {
        test: /\.js$/,
        // excluding some local linked packages.
        // for normal use cases only node_modules is needed.
        exclude: /node_modules|vue\/dist|vue-router\/|vue-loader\/|vue-hot-reload-api\//,
        loader: "babel",
      },
      { test: /\.css$/, loader: "style-loader!css-loader?sourceMap" },
      {
        test: /\.scss$/,
        loader: "style!css!sass?sourceMap",
      },
      {
        test: /\.(woff|svg|eot|ttf)\??.*$/,
        loader: "url-loader?limit=50000&name=[path][name].[ext]",
      },
    ],
  },
  // example: if you wish to apply custom babel options
  // instead of using vue-loader's default:
  babel: {
    presets: ["es2015", "stage-0", "react"],
    plugins: ["transform-runtime", ["antd", { style: "css" }]],
  },
  plugins: [
    new webpack.ProvidePlugin({
      $: "jquery",
      jQuery: "jquery",
      "window.jQuery": "jquery",
    }),
    //压缩
    new webpack.optimize.OccurenceOrderPlugin(),
    new webpack.optimize.UglifyJsPlugin(),

    // new webpack.optimize.CommonsChunkPlugin('vendors', 'vendors.js', Infinity) // 这是第三方库打包生成的文件
  ],
};
/*

if (process.env.NODE_ENV !== 'production') {

    module.exports.plugins = [
        new webpack.DefinePlugin({
            'process.env': {
                NODE_ENV: JSON.stringify('production')
            }
        }),
        new webpack.optimize.UglifyJsPlugin({
            compress: {
                warnings: false
            }
        }),
        new webpack.optimize.OccurenceOrderPlugin()
    ]

} else {
    module.exports.devtool = '#source-map'
}
*/
